/*  MISC.H
 *
 *  2000.04.14 - 
 *  2000.04.15 - Q
 *  2002.07. 7 - R
 *  2002.07.24 - S
 *  2006.11.19 - T
 *
 *  Copyright (c) 2000-2002, 2006 AOK.
 */

#ifndef __MISC_H__
    #define __MISC_H__

#include <stdio.h>
#include <string.h>

#define MAXCMD  128

#define IS_SJIS_KANJI1(c) \
    ( ( (unsigned char)(c) >= 0x81 && (unsigned char)(c) <= 0x9F ) \
   || ( (unsigned char)(c) >= 0xE0 && (unsigned char)(c) <= 0xFC ) )
#define IS_SJIS_KANJI2(c) \
    ( ( (unsigned char)(c) >= 0x40 && (unsigned char)(c) <= 0x7E ) \
   || ( (unsigned char)(c) >= 0x80 && (unsigned char)(c) <= 0xFC ) )

int is_kanji2(const char *s, int n);
char *find_ext(char *path);
char *change_ext(char *buf, const char *path, const char *ext);
char *extract_path(char *buf, const char *path);
char *extract_filename(char *buf, const char *path);
void input(char *buf, int size);

#endif
